## mairix 0.23+git20131125

=== dfasyn/Makefile ===
--- 
+++ 
@@ -46,9 +46,7 @@
 	$(CC) $(CFLAGS) -o dfasyn $(OBJ)
 
 parse.c parse.h : parse.y
-	bison -v -d parse.y
-	mv parse.tab.c parse.c
-	mv parse.tab.h parse.h
+	bison -v -d -o parse.c parse.y
 
 parse.o : parse.c dfasyn.h
