=== debian/changelog ===
mairix (0.23+git20131125-0.4ubuntu1) xenial; urgency=medium

  * Build-depend on language-pack-en-base instead of locales-all.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 11 Nov 2015 01:49:43 -0500

mairix (0.23+git20131125-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add fix-256-char-limit-on-filenames.patch to handle some of the
    stack-smashing bugs that have been mentioned in upstream's
    bugtracker. Closes: #795937

 -- Bradley M. Kuhn <bkuhn@ebb.org>  Wed, 09 Sep 2015 13:34:04 -0700

mairix (0.23+git20131125-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on systems with C locale. The test suite depends on having an
    en_US.UTF-8 locale setup.
  * Disable fix-test-suite.patch. For some reasons, that patch is only needed
    when building outside of a minimal build environment... thus the
    difference of locale (en_US.UTF-8 vs my fr_FR.UTF-8) doesn't explain
    everything.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 03 Aug 2014 10:10:40 +0200

mairix (0.23+git20131125-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add fix-search-with-equal-in-msgid.patch to allow lookup of Message-ID
    containing equals. Closes: #634948

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 01 Aug 2014 16:53:53 +0200

mairix (0.23+git20131125-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream git snaspshot. Closes: #750641
  * Add Homepage pointing to github.
  * Update standards-version to 9.
  * Switch to debhelper compat 9 and short rules file.
  * Drop all maintainer scripts (they were empty templates).
  * Switch to 3.0 (quilt) source format.
  * Add watch file

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 31 Jul 2014 16:09:40 +0200

mairix (0.22-1) unstable; urgency=low

  * New upstream version.
  * Fixed errors in man pages. Closes: #444055
  * Added support for claws-mail. Closes: #469092
  * Fix memory leak. Closes: #507456

 -- Benjamin Mako Hill <mako@debian.org>  Sat, 23 Oct 2010 03:33:50 -0400

mairix (0.21-1) unstable; urgency=low

  * New upstream version. Closes: #438778
  * Installs mairixrc manpage. Closes: #419069
  * Fixes problems with segfaulting. Closes: #419138, #416999
  * Fix handling of broken attachments. Closes: #417001

 -- Benjamin Mako Hill <mako@debian.org>  Thu, 23 Aug 2007 10:07:24 -0400

mairix (0.20-1) unstable; urgency=low

  * New upstream release. Closes: #416268
  * Fix incorrect filename in postinst. Closes: #395117
  * Updated documenation fixes previous inaccuracies: Closes: #355838
  * Replaced Debian manpage with upstream manpage.

 -- Benjamin Mako Hill <mako@debian.org>  Sat, 31 Mar 2007 00:43:21 -0400

mairix (0.17-2) unstable; urgency=low

  * Fixed version number. Closes: #340827
  * Added build-depends on zlib to gain gzip mbox support. Closes: #307432

 -- Benjamin Mako Hill <mako@debian.org>  Mon,  5 Dec 2005 10:47:53 -0500

mairix (0.17-1) unstable; urgency=low

  * New upstream release. Closes: #340316

 -- Benjamin Mako Hill <mako@debian.org>  Thu, 24 Nov 2005 15:33:26 -0500

mairix (0.16.1-1) unstable; urgency=low

  * New upstream release.

 -- Benjamin Mako Hill <mako@debian.org>  Sun, 11 Sep 2005 19:20:22 -0400

mairix (0.15.2-3) unstable; urgency=low

  * New maintainer. Closes: #297434

 -- Benjamin Mako Hill <mako@debian.org>  Thu, 10 Mar 2005 16:36:19 -0500

mairix (0.15.2-2) unstable; urgency=low

  * Orphan package as in bug #297434.
  Thanks to Benjamin Mako Hill for agreeing to adopt this package

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  5 Mar 2005 13:23:55 -0700

mairix (0.15.2-1) unstable; urgency=low

  * New upstream (closes:295214)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Feb 2005 18:51:44 -0700

mairix (0.15.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 23 Dec 2004 19:41:48 -0700

mairix (0.15-3) unstable; urgency=low

  * Fix typo in man page (closes:270986)

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 10 Sep 2004 08:38:41 -0600

mairix (0.15-2) unstable; urgency=low

  * Update descripton (closes:265008)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 11 Aug 2004 12:57:53 -0600

mairix (0.15-1) unstable; urgency=high

  * New upstream (closes:251402,250420,250409)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  4 Aug 2004 23:01:48 -0600

mairix (0.14+pre.0.15.patch-12-1) unstable; urgency=low

  * New pre-release upstream 

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  8 Jul 2004 21:09:25 -0600

mairix (0.14-1) unstable; urgency=low

  * Fixed path search (closes:224179)
  * Update web site address (closes:229739)
  * Allow use of '+' as a search character (closes:215692)
  * Update copyright years
  
 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 26 Jan 2004 08:29:22 -0700

mairix (0.11-3) unstable; urgency=low

  * Add flex to build-dep (closes: 200406)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  7 Jul 2003 21:44:30 -0600

mairix (0.11-2) unstable; urgency=low

  * Add bison to build-dep (closes: 200382)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  7 Jul 2003 15:41:34 -0600

mairix (0.11-1) unstable; urgency=low

  * New upstream
  * Add to man page (closes:200290)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  7 Jul 2003 09:17:44 -0600

mairix (0.10-1) unstable; urgency=low

  * New upstream
  * Build with gcc-3.2

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 13 Jan 2003 21:07:35 -0700

mairix (0.9-1) unstable; urgency=low

  * New upstream (closes: 174704)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 30 Dec 2002 09:58:03 -0700

mairix (0.6-1) unstable; urgency=low

  * New upstream
  * Patch to increase size of folder list (closes: 168593)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 10 Nov 2002 15:40:10 -0700

mairix (0.5-1) unstable; urgency=low

  * New upstream version

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 11 Oct 2002 23:24:41 -0600

mairix (0.4-4) unstable; urgency=low

  * Update copyright file with new home page.


