=== debian/control ===
Source: mairix
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Benjamin Mako Hill <mako@debian.org>
Build-Depends: debhelper (>= 9), bison, flex, libbz2-dev, zlib1g-dev, language-pack-en-base
Standards-Version: 3.9.5
Homepage: https://github.com/rc0/mairix

Package: mairix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: indexes and searches email in locally stored email
 mairix is a program for indexing and searching locally stored email messages.
 mairix supports Maildir, MH folders, and mbox formats.
 .
  * Indexing is fast. It runs incrementally on new messages - any
  particular message only gets scanned once in the lifetime of the
  index file.
 .
  * The search mode populates a "virtual" maildir folder with symlinks
  which point to the real messages. This folder can be opened as usual
  in your mail program.
 .
  * The search mode is very fast.
 .
  * Indexing and searching works on the basis of words. The index file
  tabulates which words occur in which parts (particular headers +
  body) of which messages.
