=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	# The configure script is so old that it fails with the options
	# that dh_auto_configure feeds it...
	./configure --prefix=/usr --mandir=/usr/share/man

override_dh_auto_test:
	# The test suite depends on the English way to sort characters (it
	# fails with LC_ALL=C or C.UTF-8)
	LC_ALL=en_US.UTF-8 dh_auto_test
