## mairix 0.24

=== debian/changelog ===
mairix (0.24-2) unstable; urgency=medium

  * Remove myself from the Uploaders field.
    I have been using notmuch instead of mairix for the past year, so do
    not expect to do any more uploads of this package.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 22 Jul 2018 12:27:33 +0800

mairix (0.24-1) unstable; urgency=low

  * New upstream release (Closes: #700906).
  * Drop all patches from previous uploads.
    Either merged upstream, or bug fixed by a different upstream change.
  * Patch mairixrc(5) to avoid warning that imap_pipe macro undefined.
  * Update d/copyright and d/control to point to new upstream maintainer.
  * Bump std-ver to 4.0.1 (no changes required).
  * Source package configuration for dgit-maint-merge(7):
    - add d/source/options
    - add d/source/patch-header

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 17 Aug 2017 16:54:04 -0700

mairix (0.23+git20131125-3) unstable; urgency=medium

  * Enable all hardening.
  * Tweak & reformat description.
  * Add fix-manpage-syntax.patch.
  * Install example config to examples/ subdir.
    Previously installed to /usr/share/doc/mairix
  * Install NEWS as the upstream changelog, not just as "NEWS".
  * Add Vcs-* URIs.
  * Add gbp.conf.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Aug 2016 20:17:04 -0700

mairix (0.23+git20131125-2) unstable; urgency=medium

  * Added Sean Whitton <spwhitton@spwhitton.name> as an uploader and
    co-maintainer.

 -- Benjamin Mako Hill <mako@debian.org>  Thu, 18 Aug 2016 10:27:13 +0200

mairix (0.23+git20131125-1) unstable; urgency=medium

  * Removed reference to removed mairix.txt file. Closes: #691339
  * Update standards version.

 -- Benjamin Mako Hill <mako@debian.org>  Tue, 16 Aug 2016 16:29:18 +0200

mairix (0.23+git20131125-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Option-to-follow-symlinks-to-mboxes-in-rc-file.patch to allow the
    user to restore mairix's old behaviour of following symlinks to
    mboxes.  Closes: #819127

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 24 Mar 2016 11:51:15 -0700
