=== debian/control ===
Source: mairix
Section: mail
Priority: optional
Maintainer: Benjamin Mako Hill <mako@debian.org>
Build-Depends: debhelper (>= 9), bison, flex, libbz2-dev, zlib1g-dev, locales-all
Standards-Version: 4.0.1
Homepage: https://github.com/vandry/mairix
Vcs-Git: https://salsa.debian.org/Debian/mairix.git/
Vcs-Browser: https://salsa.debian.org/Debian/mairix

Package: mairix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: indexes and searches locally-stored email
 mairix is a program for indexing and searching email messages stored
 offline on your computer.  mairix supports the Maildir, MH folders,
 and mbox formats.
 .
 Some features:
 .
  * Indexing is fast. It runs incrementally on new messages - any
    particular message only gets scanned once in the lifetime of the
    index file.
 .
  * Searching is fast.
 .
  * The search mode populates a "virtual" maildir folder with symlinks
    which point to the real messages. This folder can be opened as usual
    in your mail program.
 .
  * Indexing and searching is based on words. The index file tabulates
    which words occur in which parts (particular headers + body) of which
    messages.
