=== debian/watch ===
version=3
https://github.com/rc0/mairix/releases .*/(\d.*\..*)\.tar\.gz
